package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "historiusulanrinciankegiatan_t")
public class HistoriUsulanRincianKegiatan extends BaseTransaction {
	
	@ManyToOne
	@JoinColumn(name = "objectrinciankegiatanfk")
	@Caption(value = "Rincian Kegiatan")
	private RincianKegiatan rincianKegiatan;
	
	@Column(name = "objectrinciankegiatanfk", insertable = false, updatable = false, nullable = false)
	private Integer rincianKegiatanId;
	
	@ManyToOne
	@JoinColumn(name = "objecturaiantugasmfk")
	@Caption(value = "Master Uraian Tugas")
	private UraianTugasM masterUraianTugas;
	
	@Column(name = "objecturaiantugasmfk", insertable = false, updatable = false, nullable = false)
	private Integer masterUraianTugasId;
	
	@Column(name = "rinciankegiatan", nullable = true)
	@Caption(value = "Deskripsi Rincian Kegiatan")
	private String detailRincianKegiatan;
	
	@Column(name = "satuan", nullable = true)
	@Caption(value = "Satuan")
	private String satuan;
	
	@ManyToOne
	@JoinColumn(name = "objectsatuanindikatorfk")
	@Caption(value = "Satuan Indikator")
	private SatuanIndikator satuanIndikator;
	
	@Column(name = "objectsatuanindikatorfk", insertable = false, updatable = false, nullable = false)
	private Integer satuanIndikatorId;
	
	@Column(name = "periode", nullable = true)
	@Caption(value = "Periode")
	private String periode;
	
	@ManyToOne
	@JoinColumn(name = "objectpegawaipengusulfk")
	@Caption(value = "Pegawai Pengusul")
	private Pegawai pegawaiPengusul;
	
	@Column(name = "objectpegawaipengusulfk", insertable = false, updatable = false, nullable = false)
	private Integer pegawaiPengusulId;
	
	@Column(name = "tglUsulan", nullable = true)
	@Caption(value = "Tanggal Usulan")
	private Date tglUsulan;

	public RincianKegiatan getRincianKegiatan() {
		return rincianKegiatan;
	}

	public void setRincianKegiatan(RincianKegiatan rincianKegiatan) {
		this.rincianKegiatan = rincianKegiatan;
	}

	public Integer getRincianKegiatanId() {
		return rincianKegiatanId;
	}

	public void setRincianKegiatanId(Integer rincianKegiatanId) {
		this.rincianKegiatanId = rincianKegiatanId;
	}

	public UraianTugasM getMasterUraianTugas() {
		return masterUraianTugas;
	}

	public void setMasterUraianTugas(UraianTugasM masterUraianTugas) {
		this.masterUraianTugas = masterUraianTugas;
	}

	public Integer getMasterUraianTugasId() {
		return masterUraianTugasId;
	}

	public void setMasterUraianTugasId(Integer masterUraianTugasId) {
		this.masterUraianTugasId = masterUraianTugasId;
	}

	public String getDetailRincianKegiatan() {
		return detailRincianKegiatan;
	}

	public void setDetailRincianKegiatan(String detailRincianKegiatan) {
		this.detailRincianKegiatan = detailRincianKegiatan;
	}

	public String getSatuan() {
		return satuan;
	}

	public void setSatuan(String satuan) {
		this.satuan = satuan;
	}

	public SatuanIndikator getSatuanIndikator() {
		return satuanIndikator;
	}

	public void setSatuanIndikator(SatuanIndikator satuanIndikator) {
		this.satuanIndikator = satuanIndikator;
	}

	public Integer getSatuanIndikatorId() {
		return satuanIndikatorId;
	}

	public void setSatuanIndikatorId(Integer satuanIndikatorId) {
		this.satuanIndikatorId = satuanIndikatorId;
	}

	public String getPeriode() {
		return periode;
	}

	public void setPeriode(String periode) {
		this.periode = periode;
	}

	public Pegawai getPegawaiPengusul() {
		return pegawaiPengusul;
	}

	public void setPegawaiPengusul(Pegawai pegawaiPengusul) {
		this.pegawaiPengusul = pegawaiPengusul;
	}

	public Integer getPegawaiPengusulId() {
		return pegawaiPengusulId;
	}

	public void setPegawaiPengusulId(Integer pegawaiPengusulId) {
		this.pegawaiPengusulId = pegawaiPengusulId;
	}

	public Date getTglUsulan() {
		return tglUsulan;
	}

	public void setTglUsulan(Date tglUsulan) {
		this.tglUsulan = tglUsulan;
	}

}
